<?php

if (Configure::read('Site.acl_plugin') == 'Acl') {

    // activate AclFilter component only until after a succesful install
    if (file_exists(APP . 'Config' . DS . 'settings.yml')) {
        Bemmelhor::hookComponent('*', 'Acl.AclFilter');
        Bemmelhor::hookComponent('*', array(
            'BemmelhorAccess' => array(
                'className' => 'Acl.AclAccess',
            ),
        ));
    }

    Bemmelhor::hookBehavior('User', 'Acl.UserAro');
    Bemmelhor::hookBehavior('Role', 'Acl.RoleAro');

}
